Bug 238234 - [new port] www/fusionpbx: fusionpbx 4.4.1 is a php7 webgui for freeswitch
Summary: [new port] www/fusionpbx: fusionpbx 4.4.1 is a php7 webgui for freeswitch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-30 03:54 UTC by Richard Allen
Modified: 2020-05-25 18:10 UTC (History)
1 user (show)

See Also:


Attachments
fusionpbx 4.4.1 a php7 webgui for freeswitch (164.55 KB, patch)
2019-05-30 03:54 UTC, Richard Allen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Allen 2019-05-30 03:54:07 UTC
Created attachment 204711 [details]
fusionpbx 4.4.1 a php7 webgui for freeswitch

new port of fusionpbx 4.4.1 a php7 webgui for freeswitch

installs fusionpbx 4.4.1 some additional setup are need after see blow.

#run freeswith under www user and group
sysrc memcached_enable="YES"
sysrc freeswitch_enable="YES"
sysrc freeswitch_flags="-nc -nonat"
sysrc freeswitch_user="www"
sysrc freeswitch_group="www"

#copy the default conf directory
mkdir -p /usr/local/etc/freeswitch
cp -R /usr/local/www/fusionpbx/resources/templates/conf/* /usr/local/etc/freeswitch

#copy the scripts
cp -R /usr/local/www/fusionpbx/resources/install/scripts /usr/local/share/freeswitch

#default ownership
chown -R www:www /usr/local/etc/freeswitch
chown -R www:www /var/lib/freeswitch
chown -R www:www /usr/local/share/freeswitch
chown -R www:www /var/log/freeswitch
chown -R www:www /var/run/freeswitch

#install nginx or apache24 and mod_php72

#optinal install postgresql10
sysrc postgresql_enable="YES"
  
/usr/local/etc/rc.d/postgresql initdb

sudo -u postgres /usr/local/bin/pg_ctl -D /var/db/postgres/data10 -l logfile start

service postgresql restart
  
sudo -u postgres psql -c "DROP DATABASE fusionpbx;"
sudo -u postgres psql -c "DROP DATABASE freeswitch;"
sudo -u postgres psql -c "DROP ROLE fusionpbx;"
sudo -u postgres psql -c "DROP ROLE freeswitch;"
  
sudo -u postgres psql -c "CREATE DATABASE fusionpbx;"
sudo -u postgres psql -c "CREATE DATABASE freeswitch;"
sudo -u postgres psql -c "CREATE ROLE fusionpbx WITH SUPERUSER LOGIN PASSWORD '$DB_PASSWORD';"
sudo -u postgres psql -c "CREATE ROLE freeswitch WITH SUPERUSER LOGIN PASSWORD '$DB_PASSWORD';"
sudo -u postgres psql -c "GRANT ALL PRIVILEGES ON DATABASE fusionpbx to fusionpbx;"
sudo -u postgres psql -c "GRANT ALL PRIVILEGES ON DATABASE freeswitch to fusionpbx;"
sudo -u postgres psql -c "GRANT ALL PRIVILEGES ON DATABASE freeswitch to freeswitch;"
Comment 1 Kurt Jaeger freebsd_committer 2020-05-21 11:39:23 UTC
Committed with a few small changes, thanks!
Comment 2 commit-hook freebsd_committer 2020-05-21 11:39:32 UTC
A commit references this bug:

Author: pi
Date: Thu May 21 11:39:22 UTC 2020
New revision: 536118
URL: https://svnweb.freebsd.org/changeset/ports/536118

Log:
  New port: www/fusionpbx

  FusionPBX is an opensource PHP7 based frontend web gui for freeswitch.

  WWW: https://www.fusionpbx.com

  PR:		238234
  Submitted by:	Richard Allen <richard2891@gmail.com>

Changes:
  head/www/Makefile
  head/www/fusionpbx/
  head/www/fusionpbx/Makefile
  head/www/fusionpbx/distinfo
  head/www/fusionpbx/files/
  head/www/fusionpbx/files/pkg-message
  head/www/fusionpbx/pkg-descr
  head/www/fusionpbx/pkg-plist
Comment 3 commit-hook freebsd_committer 2020-05-24 18:48:38 UTC
A commit references this bug:

Author: pi
Date: Sun May 24 18:48:04 UTC 2020
New revision: 536416
URL: https://svnweb.freebsd.org/changeset/ports/536416

Log:
  www/fusionpbx: remove to re-add with repo-copy

  PR:		238234
  Reported by:	danfe

Changes:
  head/www/Makefile
  head/www/fusionpbx/
Comment 4 commit-hook freebsd_committer 2020-05-24 18:50:41 UTC
A commit references this bug:

Author: pi
Date: Sun May 24 18:50:16 UTC 2020
New revision: 536417
URL: https://svnweb.freebsd.org/changeset/ports/536417

Log:
  New port: www/fusionpbx (readd)

  FusionPBX is an opensource PHP7 based frontend web gui for freeswitch.

  WWW: https://www.fusionpbx.com

  PR:  238234
  Submitted by: Richard Allen <richard2891@gmail.com>

Changes:
  head/www/Makefile
  head/www/fusionpbx/
  head/www/fusionpbx/Makefile
  head/www/fusionpbx/distinfo
  head/www/fusionpbx/files/
  head/www/fusionpbx/files/pkg-message
  head/www/fusionpbx/pkg-descr
  head/www/fusionpbx/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-05-25 14:41:37 UTC
A commit references this bug:

Author: pi
Date: Mon May 25 14:41:07 UTC 2020
New revision: 536473
URL: https://svnweb.freebsd.org/changeset/ports/536473

Log:
  www/fusionpbx: remove several GH_ values

  PR:		238234
  Reported by:	mat

Changes:
  head/www/fusionpbx/Makefile
Comment 6 commit-hook freebsd_committer 2020-05-25 18:10:04 UTC
A commit references this bug:

Author: pi
Date: Mon May 25 18:09:02 UTC 2020
New revision: 536491
URL: https://svnweb.freebsd.org/changeset/ports/536491

Log:
  www/fusionpbx: fix creator attribution

  PR:		238234
  Reported by:	bapt

Changes:
  head/www/fusionpbx/Makefile